package com.gic.haoban.manage.service.pojo;

import com.alibaba.fastjson.annotation.JSONField;

/**
 * Created 2020/5/27.
 *
 * @author hua
 */
public class StoreSyncPojo extends BinlogBasePojo {
    @JSONField(name = "store_group_id")
    private String storeGroupId;

    @JSONField(name = "old_store_group_id")
    private String oldStoreGroupId;

    @JSONField(name = "storeId")
    private String storeId;

    @JSONField(name = "store_code")
    private String storeCode;

    @JSONField(name = "enterprise_id")
    private String enterpriseId;

    @JSONField(name = "store_name")
    private String storeName;

    private String oldStoreName;

    private Integer status;

    private Integer oldStatus;

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getOldStoreName() {
        return oldStoreName;
    }

    public void setOldStoreName(String oldStoreName) {
        this.oldStoreName = oldStoreName;
    }

    public String getOldStoreGroupId() {
        return oldStoreGroupId;
    }

    public void setOldStoreGroupId(String oldStoreGroupId) {
        this.oldStoreGroupId = oldStoreGroupId;
    }

    public String getStoreGroupId() {
        return storeGroupId;
    }

    public void setStoreGroupId(String storeGroupId) {
        this.storeGroupId = storeGroupId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getOldStatus() {
        return oldStatus;
    }

    public void setOldStatus(Integer oldStatus) {
        this.oldStatus = oldStatus;
    }
}
